%global 	momorel 1
%global 	clutter_version 1.26.0

Name:		mutter
Version:	3.30.1
Release:	%{momorel}m%{?dist}
Summary:	Window and compositing manager based on Clutter

Group:         	User Interface/Desktops
License:       	GPLv2+
#VCS:          	git:git://git.gnome.org/mutter
URL:           	http://www.gnome.org
Source0: http://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz
NoSource:      0

BuildRequires: clutter-devel >= %{clutter_version}
BuildRequires: pango-devel
BuildRequires: startup-notification-devel
BuildRequires: gnome-desktop3-devel >= 3.29
BuildRequires: gtk3-devel >= 3.22
BuildRequires: pkgconfig
BuildRequires: gobject-introspection-devel >= 1.50.0
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXcursor-devel
BuildRequires: libXcomposite-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-x11-devel >= 0.4.3
BuildRequires: libxkbfile-devel
BuildRequires: mesa-libgbm-devel >= 10.3
BuildRequires: pam-devel
BuildRequires: upower-devel >= 0.99.1
BuildRequires: xkeyboard-config-devel
BuildRequires: zenity
BuildRequires: desktop-file-utils
# Bootstrap requirements
BuildRequires: gtk-doc gnome-common intltool
BuildRequires: libcanberra-devel
BuildRequires: gsettings-desktop-schemas-devel >= 3.22
BuildRequires: pipewire-devel
BuildRequires: wayland-protocols-devel >= 1.16

Obsoletes: mutter-wayland < 3.13.0
Obsoletes: mutter-wayland-devel < 3.13.0

# Make sure yum updates gnome-shell as well; otherwise we might end up with
# broken gnome-shell installations due to mutter ABI changes.
Conflicts: gnome-shell < 3.14.0

Requires: clutter%{?_isa} >= %{clutter_version}
Requires: control-center-filesystem
Requires: startup-notification
Requires: dbus-x11
Requires: zenity

%description
Mutter is a window and compositing manager that displays and manages
your desktop via OpenGL. Mutter combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Mutter can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as GNOME Shell. For
this reason, Mutter is very extensible via plugins, which are used both
to add fancy visual effects and to rework the window management
behaviors to meet the needs of the environment.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing Mutter plugins. Also includes
utilities for testing Metacity/Mutter themes.

%package  tests
Summary:  Tests for the %{name} package
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.


%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;
 %configure --disable-static --enable-compile-warnings=maximum --enable-remote-desktop --enable-installed-tests --with-libwacom)

SHOULD_HAVE_DEFINED="HAVE_SM HAVE_RANDR HAVE_STARTUP_NOTIFICATION"

for I in $SHOULD_HAVE_DEFINED; do
  if ! grep -q "define $I" config.h; then
    echo "$I was not defined in config.h"
    grep "$I" config.h
    exit 1
  else
    echo "$I was defined as it should have been"
    grep "$I" config.h
  fi
done

make %{?_smp_mflags} V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

# Mutter contains a .desktop file so we just need to validate it
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc COPYING NEWS
%doc %{_mandir}/man1/mutter.1.*
%{_bindir}/mutter
%{_datadir}/applications/*.desktop
%{_libdir}/lib*.so.*
%{_libdir}/mutter/
%{_libexecdir}/mutter-restart-helper
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.wayland.gschema.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-*.xml


%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
# exclude as these should be in a devel package (if packaged at all)
#%%exclude %{_datadir}/gtk-doc

%files tests
%{_libexecdir}/installed-tests/mutter
%{_libexecdir}/installed-tests/mutter-clutter
%{_libexecdir}/installed-tests/mutter-cogl
%{_datadir}/installed-tests/mutter
%{_datadir}/installed-tests/mutter-clutter
%{_datadir}/installed-tests/mutter-cogl
%{_datadir}/mutter/tests

%changelog
* Mon Oct 15 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.30.1-1m)
- update to 3.30.1

* Sat Sep 08 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.30.0-1m)
- update to 3.30.0

* Mon Sep 03 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.29.92-2m)
- rebuild against gnome-desktop3

* Sun Sep 02 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.29.92-1m)
- update to 3.29.92

* Sat Jun 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.28.2-1m)
- update to 3.28.2

* Sat Jan 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.26.2-1m)
- update to 3.26.2

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.2-1m)
- update to 3.24.2

* Thu Mar 16 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.92-1m)
- update to 3.23.92

* Mon Feb 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.90-1m)
- update to 3.23.90

* Mon Jan 30 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.22.2-2m)
- rebuild against gnome-desktop3-3.23.3

* Thu Jan 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.2-1m)
- update to 3.22.2

* Fri Apr 10 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.4-1m)
- update to 3.14.4
- build against libinput-0.13.0-1m and clutter-1.22.0-1m

* Sun Dec 21 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.3-1m)
- update to 3.14.3

* Sun Nov 16 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- revert to 3.14.2

* Mon Nov  3 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.15.1-1m)
- updte to 3.15.1

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.2-1m)
- update to 3.12.2

* Tue Apr 22 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.1-1m)
- update to 3.12.1

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.0-1m)
- update to 3.12.0

* Fri Mar 07 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.91-1m)
- update to 3.11.91

* Thu Feb 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.90-1m)
- update to 3.11.90

* Sat Feb  8 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.5-1m)
- update to 3.11.5

* Sun Feb  2 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.4-1m)
- update to 3.11.4

* Tue Dec 24 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.3-1m)
- update to 3.11.3

* Sat Aug 31 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.90-1m)
- update to 3.9.90

* Fri Aug  9 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.5-1m)
- update to 3.9.5

* Sat Jul 20 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.4-1m)
- update to 3.9.4

* Wed Jun 26 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.3-1m)
- update to 3.9.3

* Mon Dec 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.2-1m)
- update to 3.6.2

* Mon Oct 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.1-1m)
- update to 3.6.1

* Sat Sep 29 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Fri Sep 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.92-1m)
- update to 3.5.92

* Thu Sep  6 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.91-1m)
- update to 3.5.91

* Wed Aug 22 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.90-1m)
- update to 3.5.90

* Sat Aug 11 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.5-1m)
- update to 3.5.5

* Tue Jul 17 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.4-1m)
- update to 3.5.4

* Wed Jul  4 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.3-1m)
- reimport from fedora

* Tue Jan 24 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.2.2-1m)
- update 3.2.2

* Fri Oct 28 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.2.1-2m)
- require adjustment

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Thu Sep 22 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.92-1m)
- update to 3.1.92

* Wed Sep 21 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.91.1-2m)
- rebuild against cogl-1.8.0

* Sat Sep 17 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.91.1-1m)
- update to 3.1.91.1

* Wed Sep 14 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.90.1-1m)
- update to 3.1.90.1

* Sat May 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.2.1-1m)
- update to 3.0.2.1

* Sun May  1 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.31.4-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.31.4-2m)
- rebuild for new GCC 4.5

* Sun Oct  3 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.31.4-1m)
- update to 2.31.4

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.31.2-2m)
- full rebuild for mo7 release

* Thu May 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.31.2-1m)
- update to 2.31.2

* Fri Mar 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.1-1m)
- update to 2.29.1

* Mon Mar 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.0-2m)
- add patch0 for clutter-1.2.0

* Sat Feb 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.0-1m)
- update to 2.29.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Wed Sep 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.5-1m)
- update to 2.27.5

* Sun Sep  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.4-1m)
- update to 2.27.4

* Thu Sep  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.27.3-3m)
- rebuild against clutter-1.0.4-3m

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.3-2m)
- to main

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.3-1m)
- initial build
